List an organization's actions secrets
GET
/orgs/{org}/actions/secrets
const url = 'https://gitea.example.com/api/v1/orgs/example/actions/secrets';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/orgs/example/actions/secrets \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”SecretList
Media typeapplication/json
Array<object>
Secret represents a secret
object
created_at
string format: date-time
name
The secret’s name
string
Examplegenerated
[ { "created_at": "2026-04-15T12:00:00Z", "name": "example" }]APINotFound is a not found empty response
Media typeapplication/json